"use strict";

byId("server_selection_add").addEventListener("click", e => { e.stopPropagation(); e.preventDefault(); window.location = "#login"; return false; });
byId("login").addEventListener("submit", e => { logIn(); e.stopPropagation(); e.preventDefault(); return false; });
byId("login_no_button").addEventListener("click", e => { e.stopPropagation(); e.preventDefault(); window.location = "#"; return false; });
byId("compose").addEventListener("keydown", e => {
	if (checkKeyPress(e)) {
		e.stopPropagation(); e.preventDefault();
		return false;
	}
	return true;
});

updateComposeHeight();
checkScrolledToBottom();

populateServerSelectionList();

localstorage_credentials.getServers()
	.map(server => server.endpoint)
	.map(mm_client.get)
	.forEach(client => client.getUsers());

populateChannelList();
